Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.shimhost
Class Filter.FilterClass

    java.lang.Object
      com.novell.nds.dirxml.shimhost.Filter.FilterItem
          com.novell.nds.dirxml.shimhost.Filter.FilterClass

Enclosing class:
  Filter

    public static class Filter.FilterClass

extends Filter.FilterItem

Class representing a <filter-class> element.

Field Summary

Fields inherited from class com.novell.nds.dirxml.shimhost.Filter.FilterItem
`modified, name, syncMode`

Method Summary
`protected void` | `checkSyncMode(int mode)` Validate a sync mode argument for `FilterClass`
`Collection` | `getAttrs()` Get a `Collection` of the `FilterAttr` objects that are members of this `FilterClass` instance.
`protected String` | `getElementName()` Get the tag name of the XML element used to represent `FilterClass` objects in XML.
`Filter.FilterAttr` | `getFilterAttr(String attrName)` Get the `FilterAttr` instance for an attribute in this `FilterClass` instance.
`boolean` | `getPublisherCreateHomeDir()` Get the value for the 'publisher-create-homedir' XML attribute
`boolean` | `getPublisherTrackTemplateMember()` Get the value for the 'publisher-track-template-member' XML attribute
`boolean` | `hasBeenModified()` Return `true` if this instance has been modified.
`Iterator` | `iterator()` Get an `Iterator` that returns the `FilterAttr` objects associated with this instance.
`Filter.FilterAttr` | `newFilterAttr(String attrName)` Create a new entry in this `FilterClass` instance for an attribute, if such an entry doesn't already exist.
`Filter.FilterAttr` | `removeFilterAttr(String attrName)` Remove the entry for an attribute class from this `FilterClass` instance if it exists.
`void` | `resetModified()` Reset the modified flag for this instance such that `hasBeenModified()` will return `false`.
`void` | `setPublisherCreateHomeDir(boolean value)` Set the value for the 'publisher-create-homedir' XML attribute
`void` | `setPublisherTrackTemplateMember(boolean value)` Set the value for the 'publisher-track-template-member' XML attribute
`Element` | `toXML(Node parent)` Construct an XML representation of this `FilterClass` instance.

Methods inherited from class com.novell.nds.dirxml.shimhost.Filter.FilterItem
`getName, getSyncMode, setSyncMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasBeenModified

    public boolean hasBeenModified()

  Return `true` if this instance has been modified.

  The instance is considered to have been modified if a change was made that affects the persistent representation since:

  1. The instance was constructed from an XML representation.
  2. `resetModified()` was last called

  Overrides:
    `hasBeenModified` in class `Filter.FilterItem`
  Returns:
    `true` or `false`
  See Also:
    `resetModified()`, `toXML(org.w3c.dom.Node)`

### resetModified

    public void resetModified()

  Reset the modified flag for this instance such that `hasBeenModified()` will return `false`.

  Overrides:
    `resetModified` in class `Filter.FilterItem`
  See Also:
    `hasBeenModified()`

### getAttrs

    public Collection getAttrs()

  Get a `Collection` of the `FilterAttr` objects that are members of this `FilterClass` instance.

  Returns:
    `Collection` of `FilterAttr` objects

### iterator

    public Iterator iterator()

  Get an `Iterator` that returns the `FilterAttr` objects associated with this instance.

  Returns:
    `Iterator` that returns `FilterAttr` objects

### getFilterAttr

    public Filter.FilterAttr getFilterAttr(String attrName)

  Get the `FilterAttr` instance for an attribute in this `FilterClass` instance.

  Parameters:
    `attrName` - name of attribute
  Returns:
    `FilterAttr` instance or `null`

### newFilterAttr

    public Filter.FilterAttr newFilterAttr(String attrName)

  Create a new entry in this `FilterClass` instance for an attribute, if such an entry doesn't already exist.

  Parameters:
    `attrName` - name of attribute
  Returns:
    new or existing `FilterAttr` instance

### removeFilterAttr

    public Filter.FilterAttr removeFilterAttr(String attrName)

  Remove the entry for an attribute class from this `FilterClass` instance if it exists.

  Parameters:
    `attrName` - name of attribute
  Returns:
    `FilterAttr` instance or `null`

### getPublisherCreateHomeDir

    public boolean getPublisherCreateHomeDir()

  Get the value for the 'publisher-create-homedir' XML attribute

  Returns:
    `true` or `false`

### setPublisherCreateHomeDir

    public void setPublisherCreateHomeDir(boolean value)

  Set the value for the 'publisher-create-homedir' XML attribute

  Parameters:
    `value` - `true` or `false`

### getPublisherTrackTemplateMember

    public boolean getPublisherTrackTemplateMember()

  Get the value for the 'publisher-track-template-member' XML attribute

  Returns:
    `true` or `false`

### setPublisherTrackTemplateMember

    public void setPublisherTrackTemplateMember(boolean value)

  Set the value for the 'publisher-track-template-member' XML attribute

  Parameters:
    `value` - `true` or `false`

### toXML

    public Element toXML(Node parent)

  Construct an XML representation of this `FilterClass` instance.

  Note that the act of creating an XML representation does not reset this instance's modified flag. It must be reset by calling `resetModified()`.

  Parameters:
    `parent` - `Node` under which to build XML representation
  Returns:
    created <filter-class> element
  See Also:
    `hasBeenModified()`, `resetModified()`

### checkSyncMode

    protected void checkSyncMode(int mode)
                          throws IllegalArgumentException

  Validate a sync mode argument for `FilterClass`

  Specified by:
    `checkSyncMode` in class `Filter.FilterItem`
  Parameters:
    `mode` - sync mode to check
  Throws:
    `IllegalArgumentException` - if `mode` parameter isn't one of `SYNC_IGNORE` or `SYNC_SYNC`

### getElementName

    protected String getElementName()

  Get the tag name of the XML element used to represent `FilterClass` objects in XML.

  Specified by:
    `getElementName` in class `Filter.FilterItem`
  Returns:
    "filter-class"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD